
Name:       perl-XML-Simple
Version:    2.20
Release:    1%{?dist}.anvil
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    Easily read/write XML (esp config files)
Source:     http://search.cpan.org/CPAN/authors/id/G/GR/GRANTM/XML-Simple-%{version}.tar.gz
Url:        http://search.cpan.org/dist/XML-Simple
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
Requires: perl(Test::More)
Requires: perl(XML::NamespaceSupport)
Requires: perl(XML::SAX)
Requires: perl(XML::SAX::Expat)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)


%description
The XML::Simple module provides a simple API layer on top of an underlying
XML parsing module (either XML::Parser or one of the SAX2 parser modules).
Two functions are exported: 'XMLin()' and 'XMLout()'. Note: you can
explicity request the lower case versions of the function names: 'xml_in()'
and 'xml_out()'.

The simplest approach is to call these two functions directly, but an
optional object oriented interface (see the "OPTIONAL OO INTERFACE" manpage
below) allows them to be called as methods of an *XML::Simple* object. The
object interface can also be used at either end of a SAX pipeline.

XMLin()
    Parses XML formatted data and returns a reference to a data structure
    which contains the same information in a more readily accessible form.
    (Skip down to the "EXAMPLES" manpage below, for more sample code).

Rebuilt for the Anvil! HA platform.

%prep
%setup -q -n XML-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INSTALLVENDORLIB=%{perl_vendorlib} INSTALLVENDORMAN3DIR=%{_mandir}/man3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Dec 28 2014 %{packager} 2.20-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.6)
